function checkNumeric () {

	for(var i=0; i<arguments.length; ++i){

		if(isNaN(arguments[i])) return false;

	}

	return true;

}



function writeDiv(id, text) {                

	document.getElementById(id).innerHTML = text

}



function clearDiv(id) {

	writeDiv(id,"");

}



function showElement(id, displayType){

	displayType = displayType || "block";

	document.getElementById(id).style.display = displayType;

}



function hideElement (id) {

	document.getElementById(id).style.display = "none";

}



function setInput(id,text) {

	document.getElementById(id).value = text



}



function setSelect (name, idx, frm) {

	frm = frm || document.forms[0];

	var sel = frm[name];

	

	if(sel) sel.selectedIndex = idx;

}



function getSelectValue (name, frm) {

	frm = frm || document.forms[0];

	var sel = frm[name];

	

	return sel ? sel.options[sel.selectedIndex].value : null;

}



function clearInput() {

	for(var i=0; i<arguments.length; ++i){

		setInput(arguments[i],"");

	}

}



function getInput(id) {

	var input = null;

	/*

	for(var i=1; i<document.forms.length; ++i){ // CMH - 4/10/08 - changed i=0 to i=1 so this function would ignore the search form in the header

		if(input = document.forms[i].elements[id].value){

			return input;

		}		

	}

	*/



	var input = document.getElementById(id);



	return input.value;

}



function doError(str){

	str = str || "Please enter correct values!!";

	alert(str);

	return false;

}



function toDate(str) {



      var dateArray = str.split('/');

      sdate = new Date(dateArray[2],dateArray[0]-1,dateArray[1]);



	return(sdate);



}



function formatDate(date) {

	return ((date.getMonth()+1)+"/" +(date.getDate())+"/" + date.getFullYear());



}



function makeDate(str) {

	var now = new Date();



	if (str.indexOf("/")<0) {

		doError ("Date is not in the right format");

	}

	else {

		return (toDate(str+"/" + now.getFullYear()));

	}



}



function addDays(sdate,days) {

	var msPerDay = 24 * 60 * 60 * 1000



  // add the number of days as milleseconds

        var odate = new Date(sdate.valueOf() + (days * msPerDay));



        return (odate);

 }

 

function getElapsedDays (startDate, endDate){

	var msPerDay = 24 * 60 * 60 * 1000;		

	var eDate = getBaseDate(endDate);

	var sDate = getBaseDate(startDate);

	

	var msDiff = eDate.valueOf() - sDate.valueOf();

	

	return Math.floor(msDiff/msPerDay);

	

}



function getBaseDate (d) {

	// strips time portion from d

	return new Date(d.getFullYear(), d.getMonth(), d.getDate());

}



function getRadioButtonValue (name, frm){

	frm = frm || document.forms[0];

	var radioButtons = frm[name];

	

	for(var i=0; radioButtons && i<radioButtons.length; ++i){

		if(radioButtons[i].checked) {

			return radioButtons[i].value;

		}

	}

}



function clearRadioButtons (name, frm) {

	frm = frm || document.forms[0];

		var radioButtons = frm[name];

		

		for(var i=0; radioButtons && i<radioButtons.length; ++i){			

				radioButtons[i].checked = false;			

		}

}



function getPounds (kg) {

	return (kg * 2.2).toFixed(2);

}



function getKilograms (lbs) {

	return (lbs/2.2).toFixed(2);

}



function getInches (cm){

	return (cm/2.54).toFixed(2);

}



function getCentimeters (inches) {

	return (inches*2.54).toFixed(2);

}



















































function doCalculation() {

	var gender = document.calculator.gender.item(1).checked;



	if(gender==true){

		calcBfMale();

	}

	else {

		calcBfFemale();

	}



	$("#tool_result").fadeIn("slow");

}



function doClear() {

	clearInput("abdomen", "neck", "waist", "hip", "height");

	clearResult ();

	$("#tool_result").fadeOut("slow");

}



function calcBfMale () {

	var abdomen = getConvertedInput ("abdomen");

	var neck = getConvertedInput("neck");

	var height = getConvertedInput ("height");



	if(checkNumeric(abdomen, neck, height)){

		showResult(getBfMen (abdomen, neck, height));

	}

	else {

		doError();

	}

}



function calcBfFemale () {

	var abdomen = getConvertedInput ("abdomen");

	var waist = getConvertedInput("waist");

	var hip = getConvertedInput("hip");

	var neck = getConvertedInput("neck");

	var height = getConvertedInput ("height");



	if(checkNumeric(waist, hip, neck, height)){

		showResult(getBfWomen (waist, hip, neck, height));

	}

	else {

		doError();

	}

}



function getConvertedInput (name) {

	var units = getRadioButtonValue("units");

	if(units == "metric"){

		return getInches(parseFloat(getInput(name)));

	}

	else {

		return parseFloat(getInput(name));

	}

}



function showResult (n) {

	var msg = n.toFixed(2);

	writeDiv("results", msg);

}



function clearResult () {

	writeDiv("results", "-");

}



function setGenderInputs (gender) {

	if(gender=="f"){

		show("female");

		hide("male");

	}

	else {

		show("male");

    document.getElementById("male").style.display = "table";

		hide("female");

	}

}



function setUnits (type) {

	var fields = ["Waist", "Hips", "Abdomen", "Neck", "Height"];



	for(var i=0; i< fields.length; ++i){

		var displayName = fields[i];

		var name = displayName.toLowerCase();

		if(displayName=="Hips") name = "hip";

		var val = parseFloat(getInput(name));

    

    var w = document.body.clientWidth;                

		if(type=="metric"){

      var w = document.body.clientWidth;

      if (w < 768){ setLabel(name, displayName+" (cm):"); }

      else { setLabel(name, displayName+" (cms):"); }

			if(val && !isNaN(val)) setInput(name, getCentimeters(val));

		}

		else {                                          

      if (w < 768){ setLabel(name, displayName+" (in):"); }

      else { setLabel(name, displayName+" (inches):"); }

			if(val && !isNaN(val)) setInput(name, getInches(val));

		}

	}

}



function setLabel (id, text){   

	writeDiv("lbl_"+id, text);

}



function show (id) {

	document.getElementById(id).style.display =  isIE() ? "block" : "";

}



function hide(id) {

	document.getElementById(id).style.display =  "none";

}



function log10 (n) {

	return Math.log(n)/Math.LN10;

}



function getBfMen (abdomen, neck, height){

	return 86.010 * log10(abdomen - neck) - 70.041 * log10(height) + 36.76;

}



function getBfWomen (waist, hip, neck, height){

	return 163.205 * log10(waist + hip - neck) - 97.684 * log10(height) - 78.387;

}



function isIE(){

	return navigator.appName.indexOf("Internet Explorer") >=0 ? true : false;

}



function getWidth() {

  if (self.innerHeight) {

    return self.innerWidth;

  }



  if (document.documentElement && document.documentElement.clientHeight) {

    return document.documentElement.clientWidth;

  }



  if (document.body) {

    return document.body.clientWidth;

  }

}